- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Attributes

# FbxSystemUnit::ConversionOptions Struct Reference

Search for all occurrences

## Detailed Description

Struct to define various options that you can use to convert the system unit of a scene.

The default values are: mConvertRrsNodes = true mConvertLimits = true mConvertClusters = true mConvertLightIntensity = true mConvertPhotometricLProperties = true mConvertCameraClipPlanes = true

The default configuration have been tested to give the best conversion results in the majority of the case.

Remarks:
  Changing any of these values will have a direct impact on the whole scene behavior.

Definition at line 48 of file fbxsystemunit.h.

`#include <fbxsystemunit.h>`

List of all members.

## Public Attributes
bool | mConvertRrsNodes
| This flag indicates whether or not to convert the nodes that do not inherit their parent's scale.
bool | mConvertLimits
| This flag indicates whether or not to convert limits.
bool | mConvertClusters
| This flag indicates whether or not to convert clusters.
bool | mConvertLightIntensity
| This flag indicates whether or not to convert the light intensity property.
bool | mConvertPhotometricLProperties
| This flag indicates whether or not to convert photometric lights properties.
bool | mConvertCameraClipPlanes
| This flag indicates whether or not to convert the cameras clip planes.

## Member Data Documentation

bool mConvertRrsNodes

Search for all occurrences

This flag indicates whether or not to convert the nodes that do not inherit their parent's scale.

Definition at line 51 of file fbxsystemunit.h.

bool mConvertLimits

Search for all occurrences

This flag indicates whether or not to convert limits.

Definition at line 54 of file fbxsystemunit.h.

bool mConvertClusters

Search for all occurrences

This flag indicates whether or not to convert clusters.

Definition at line 57 of file fbxsystemunit.h.

bool mConvertLightIntensity

Search for all occurrences

This flag indicates whether or not to convert the light intensity property.

Definition at line 60 of file fbxsystemunit.h.

bool mConvertPhotometricLProperties

Search for all occurrences

This flag indicates whether or not to convert photometric lights properties.

Definition at line 63 of file fbxsystemunit.h.

bool mConvertCameraClipPlanes

Search for all occurrences

This flag indicates whether or not to convert the cameras clip planes.

Definition at line 66 of file fbxsystemunit.h.

The documentation for this struct was generated from the following file:

- fbxsdk/core/fbxsystemunit.h